Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » AJDT » Eclipse AspectJ Newbie Problem
Eclipse AspectJ Newbie Problem [message #60233] Sat, 07 January 2006 14:22 Go to next message
J. Michael Dean, M.D. is currently offline J. Michael Dean, M.D.
Messages: 218
Registered: July 2009
Senior Member
Trying to install examples from this book; using AJDT 1.3 with Eclipse 3.1,
Java 1.5, and there are examples from all portions of the book. When I try
to merely open the chapter 1 version (pure java) I get an ajdt error and the
project cannot be installed. I know this issue must have been crossed
somewhere but have not been able to find it in discussion groups or FAQs.
Re: Eclipse AspectJ Newbie Problem [message #60257 is a reply to message #60233] Mon, 09 January 2006 04:14 Go to previous message
Adrian Colyer is currently offline Adrian Colyer
Messages: 61
Registered: July 2009
Member
J Michael Dean wrote:
> Trying to install examples from this book; using AJDT 1.3 with Eclipse 3.1,
> Java 1.5, and there are examples from all portions of the book. When I try
> to merely open the chapter 1 version (pure java) I get an ajdt error and the
> project cannot be installed. I know this issue must have been crossed
> somewhere but have not been able to find it in discussion groups or FAQs.
>

I just updated the install mechanism for all of the book examples to
work with Eclipse 3.1 and AspectJ 5. See the instructions at the top of
the page http://www.aspectprogrammer.org/eclipseaspectj for a download
link. Note: to run the SimpleInsuranceApp program, choose "Run as SWT
application" from the context menu (not "Run as Java application") - the
former automatically adds a needed SWT dll to your load path.

Regards, Adrian.
Re: Eclipse AspectJ Newbie Problem [message #591631 is a reply to message #60233] Mon, 09 January 2006 04:14 Go to previous message
Adrian Colyer is currently offline Adrian Colyer
Messages: 61
Registered: July 2009
Member
J Michael Dean wrote:
> Trying to install examples from this book; using AJDT 1.3 with Eclipse 3.1,
> Java 1.5, and there are examples from all portions of the book. When I try
> to merely open the chapter 1 version (pure java) I get an ajdt error and the
> project cannot be installed. I know this issue must have been crossed
> somewhere but have not been able to find it in discussion groups or FAQs.
>

I just updated the install mechanism for all of the book examples to
work with Eclipse 3.1 and AspectJ 5. See the instructions at the top of
the page http://www.aspectprogrammer.org/eclipseaspectj for a download
link. Note: to run the SimpleInsuranceApp program, choose "Run as SWT
application" from the context menu (not "Run as Java application") - the
former automatically adds a needed SWT dll to your load path.

Regards, Adrian.
Previous Topic:Eclipse AspectJ Newbie Problem
Next Topic:How to retrieve method name in a handle clause
Goto Forum:
  


Current Time: Mon Jul 28 02:18:49 EDT 2014

Powered by FUDForum. Page generated in 0.02369 seconds